<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table12', function (Blueprint $table) {
            $table->id('DatasetTable12Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->float('luas_tutupan')->default(0);
            $table->float('sangat_baik')->default(0);
            $table->float('baik')->default(0);
            $table->float('sedang')->default(0);
            $table->float('rusak')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table12s');
    }
};
